## gio-querymodules

gio-querymodules — GIO module cache creation

## Synopsis

`gio-querymodules` {DIRECTORY...}

## Description

gio-querymodules creates a `giomodule.cache` file in the listed directories. This file lists the implemented extension points for each module that has been found. It is used by GIO at runtime to avoid opening all modules just to find out which extension points they are implementing.

GIO modules are usually installed in the `gio/modules` subdirectory of libdir.